# $Revision: 1.10 $, $Date: 2012/01/24 16:14:08 $
#
# Sorry, only Apache2 version...
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Engine-Apache
Summary:	Catalyst::Engine::Apache - Catalyst Apache Engines
Summary(pl.UTF-8):	Catalyst::Engine::Apache - silniki Apache'a dla Catalysta
Name:		perl-Catalyst-Engine-Apache
Version:	1.16
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7a7241dadd7c0eb28ce10aeb90c9944e
URL:		http://search.cpan.org/dist/Catalyst-Engine-Apache/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 5.49_02
%endif
Conflicts:	perl-Catalyst < 5.49
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These classes provide mod_perl (Apache 2) support for Catalyst.

%description -l pl.UTF-8
Ten pakiet zawiera silnik Catalysta wykorzystujący mod_perla
(Apache 2.x).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# Makefile.PL turns on only t/0*.t; we're running all, and one test depends on this file
if [ ! -e t/01use.t ]; then
cat <<EOF>t/01use.t
	use Test::More tests=>1;
	ok(1);
EOF
fi

%build
%{__perl} -MExtUtils::MakeMaker -we 'WriteMakefile(NAME=>"Catalyst::Engine::Apache")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Engine/*.pm
%dir %{perl_vendorlib}/Catalyst/Engine/Apache2
%{perl_vendorlib}/Catalyst/Engine/Apache2/MP20.pm
%exclude %{_mandir}/man3/*MP19*
%{_mandir}/man3/Catalyst::Engine::Apache.*
%{_mandir}/man3/Catalyst::Engine::Apache2*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Engine-Apache.spec,v $
Revision 1.10  2012/01/24 16:14:08  zbyniu
- up to 1.16

Revision 1.9  2008/02/23 15:39:12  radek
- version 0.12

Revision 1.8  2007/03/31 19:29:23  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.7  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.5  2006/08/17 20:31:15  migo
- up to 1.07

Revision 1.4  2006/02/01 20:28:56  migo
- up to 1.06

Revision 1.3  2005/11/18 19:23:33  migo
- up to 1.00

Revision 1.2  2005/11/16 22:59:56  qboosh
- pl summary

Revision 1.1  2005/11/14 19:08:02  migo
- initial revision (separated from Catalyst)
